/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!50503 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

CREATE TABLE IF NOT EXISTS `cat_addons` (
  `addon_id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(128) NOT NULL DEFAULT '',
  `directory` varchar(128) NOT NULL DEFAULT '',
  `name` varchar(255) NOT NULL DEFAULT '',
  `description` text,
  `function` varchar(255) NOT NULL DEFAULT '',
  `version` varchar(255) NOT NULL DEFAULT '',
  `guid` varchar(50) NOT NULL DEFAULT '',
  `platform` varchar(255) NOT NULL DEFAULT '',
  `author` varchar(255) NOT NULL DEFAULT '',
  `license` varchar(255) NOT NULL DEFAULT '',
  `installed` varchar(255) NOT NULL DEFAULT '',
  `upgraded` varchar(255) NOT NULL DEFAULT '',
  `removable` enum('Y','N') NOT NULL DEFAULT 'Y',
  `bundled` enum('Y','N') NOT NULL DEFAULT 'N',
  PRIMARY KEY (`addon_id`),
  UNIQUE KEY `type_directory` (`type`,`directory`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*!40000 ALTER TABLE `cat_addons` DISABLE KEYS */;
INSERT IGNORE INTO `cat_addons` (`addon_id`, `type`, `directory`, `name`, `description`, `function`, `version`, `guid`, `platform`, `author`, `license`, `installed`, `upgraded`, `removable`, `bundled`) VALUES
	(1, 'module', 'blackcat', 'BlackCat CMS Admin Tool and Widget', 'BlackCat CMS Admin Tool and Widget - allows to check for new versions (widget demo)', 'tool', '0.10', 'CF217773-24C7-4DAB-954F-98D9F7118F7D', '1.0', 'BlackCat  Development', 'GNU General Public License', '1583227550', '1583227550', 'Y', 'Y'),
	(2, 'module', 'blackcatFilter', 'BlackCat CMS Output Filters', 'Adds extendable and configurable output filters to your frontend', 'tool', '0.3', 'CE82BB3C-C6B1-4A6D-810A-19BD015230A9', '1.x', 'Black Cat Development', 'copyright, all rights reserved', '1583227550', '1583227550', 'Y', 'Y'),
	(3, 'module', 'droplets', 'Droplets', 'This tool allows you to manage your Droplets.', 'tool', '4.0', 'FDAF7FBF-DE7F-4394-81DC-8D139EA3216C', '1.x', 'BlackCat Development', 'GNU General Public License', '1583227551', '1583227551', 'N', 'Y'),
	(4, 'module', 'jquery_plugin_mgr', 'jQuery Plugin Manager', 'jQuery Plugin Manager', 'tool', '0.1', 'FEB740BA-3F75-577B-0ACB-984EFEA9001D', '1.x', 'Black Cat Development', 'GNU General Public License', '1583227551', '1583227551', 'Y', 'N'),
	(5, 'module', 'lib_csrfmagic', 'CSRF-Magic for BlackCat CMS', 'CSRF-Magic v1.0.4', 'library', '1.1.1', '4FA14CDB-B45B-438A-932D-A32C0EFB1FD2', '1.x', 'CSRF-Magic by http://csrf.htmlpurifier.org/; this module by Black Cat Development', 'CSRF-Magic BSD License, this module GNU General Public License', '1583227551', '1583227551', 'N', 'Y'),
	(6, 'module', 'lib_doctrine', 'Doctrine DBAL for BlackCat CMS', 'Doctrine DBAL v2.5.1 for use with BlackCat CMS; includes Doctrine Common v2.4.2', 'library', '0.2', '52BD02E9-EC8E-4B43-813C-B89448D32150', '1.x', 'Doctrine Project see http://www.doctrine-project.org/about.html; this module created Black Cat Development', 'GNU General Public License', '1583227551', '1583227551', 'N', 'Y'),
	(7, 'module', 'lib_dwoo', 'Dwoo Library for BlackCat CMS', 'Dwoo PHP5 Template Engine, Release 1.1.1', 'library', '0.13', '0266338D-DC1E-4815-B308-F9A6CB84448C', '1.x', 'Dwoo/Jordi Boggiano, this module Black Cat Development', 'GNU General Public License', '1583227551', '1583227551', 'N', 'Y'),
	(8, 'module', 'lib_getid3', 'getID3 PHP media file parser', 'getID3 PHP media file parser (v1.9.12)', 'library', '0.6', '4AD71FD0-3176-42AB-BC9E-5EDF7E3D35FF', '1.x', 'getID3() by James Heinrich <info@getid3.org>; this module Black Cat Development', 'GNU General Public License 2.0', '1583227551', '1583227551', 'Y', 'Y'),
	(9, 'module', 'lib_images', 'class.Images.php for BlackCat CMS', 'class.Images.php - A class to handle and manipulate images', 'library', '0.3.1', 'C6A310F1-A270-4079-9EF3-977AA7EF380F', '1.x', 'class.Images.php - Manuel Reinhard; this module - Black Cat Development', 'GNU General Public License', '1583227551', '1583227551', 'Y', 'Y'),
	(10, 'module', 'lib_jquery', 'jQuery / jQuery UI JavaScript Library', 'This module installs the jQuery JavaScript Library and the jQuery UI Library. You may use it as a lib for your own JavaScripts.', 'library', '2.6', '8FB09FFD-B11C-4B75-984E-F54082B4DEEA', '1.x', 'BlackBird', 'GNU General Public License', '1583227551', '1583227551', 'N', 'Y'),
	(11, 'module', 'lib_pclzip', 'pclzip', 'ZIP library for BlackCat CMS', 'library', '1.2', '0C3AD4DD-9387-40DC-94E6-DC09598C3AAB', '1.x', 'Vincent Blavet', 'GNU General Public License', '1583227551', '1583227551', 'N', 'Y'),
	(12, 'module', 'lib_wblib', 'wblib2 Library for BlackCat CMS', 'wblib2 Library for BlackCat CMS', 'library', '0.8', '1584B381-9E23-43D5-94CA-41ECA6200138', '1.x', 'Bianka Martinovic, BlackBird Webprogrammierung', 'GNU General Public License', '1583227551', '1583227551', 'Y', 'N'),
	(13, 'module', 'lib_zendlite', 'Zend LITE', 'Some (!) Zend 2 components for use with Black Cat CMS', 'library', '2.0', 'A92FCDB7-3DAE-4E8D-A673-C2A3542776E0', '1.x', 'Zend Framework by Zend Technologies; this module Black Cat Development', 'GNU General Public License', '1583227551', '1583227551', 'Y', 'Y'),
	(14, 'module', 'menu_link', 'Menu Link', 'This module allows you to insert a link into the menu.', 'page', '2.8.3', '452f0da3-3bc1-43bc-b2ad-491ae8494c6e', '1.x', 'Ryan Djurovich, thorn, Black Cat Development', 'GNU General Public License', '1583227551', '1583227551', 'Y', 'Y'),
	(15, 'module', 'show_menu2', 'show_menu2', 'A code snippet providing a complete replacement for the built-in menu functions. See <a href="http://code.jellycan.com/files/show_menu2-README.txt" target="_blank">readme</a> for details.', 'snippet', '4.9.7', 'b859d102-881d-4259-b91d-b5a1b57ab100', '2.x', 'Brodie Thiesfield, Aldus, erpe, Black Cat Development', 'GNU General Public License', '1583227551', '1583227551', 'N', 'Y'),
	(16, 'module', 'wysiwyg', 'WYSIWYG', 'This module allows for editing page content by using a WYSIWYG Editor like CKEditor or TinyMCE', 'page', '4.3', 'DA07DFA3-7592-4781-89C2-D549DD77B017', '1.x', 'BlackCat Development', 'GNU General Public License', '1583227551', '1583227551', 'N', 'Y'),
	(17, 'module', 'wysiwyg_admin', 'WYSIWYG Admin', 'WYSIWYG Admin allows to manage some editor options, which are skin, toolbar, height and width by default. There may be additional options defined by the editor itself.', 'tool', '2.2', 'D15D8D69-1B67-4994-85A3-1F9E067DBCC1', '2.x', 'Black Cat Development', '<a href="http://www.gnu.org/licenses/" target="_blank">GNU GPL</a>', '1583227551', '1583227551', 'N', 'Y'),
	(18, 'template', 'blank', 'Blank', 'This template is for use on page where you do not want anything wrapping the content.', 'template', '1.1.0', '8f6b513e-ee82-47d8-a0d2-415a06ec8f0a', 'Lepton 1.x', 'erpe', '<a href="http://www.gnu.org/licenses/gpl.html">GNU General Public License</a>', '1583227551', '1583227551', 'Y', 'Y'),
	(19, 'template', 'freshcat', 'FreshCat Backend Theme', 'Introduced with Black Cat CMS in 2013.<br/><br/>Done by Matthias Glienke, <a class="icon-creativecat" href="http://creativecat.de"> creativecat</a>', 'theme', '0.7.7', 'AD6296ED-31BD-49EB-AE23-4DD76B7ED776', '1.x', 'Matthias Glienke, creativecat', '<a href="http://www.gnu.org/licenses/gpl.html">GNU General Public License</a>', '1583227551', '1583227551', 'Y', 'Y'),
	(20, 'template', 'mojito', 'Mojito (Standard Frontend Template)', 'Introduced with Black Cat CMS in 2013.<br/><br/>Done by Matthias Glienke, <a class="icon-creativecat" href="http://creativecat.de"> creativecat</a>', 'template', '1.0.3', '29c34310-02d0-4609-b00e-6461669b052e', '1.x', 'Matthias Glienke, creativecat', '<a href="http://www.gnu.org/licenses/gpl.html">GNU General Public License</a>', '1583227552', '1583227552', 'Y', 'N'),
	(21, 'language', 'DE', 'Deutsch', 'Deutsch', 'language', '1.2', '', '', 'Black Cat Development', '', '1583227552', '1583227552', 'Y', 'Y'),
	(22, 'language', 'EN', 'English', 'English', 'language', '1.0', '', '', 'Ryan Djurovich, Christian Sommer', '', '1583227552', '1583227552', 'Y', 'Y');
/*!40000 ALTER TABLE `cat_addons` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `cat_class_secure` (
  `module` int(10) unsigned NOT NULL DEFAULT '0',
  `filepath` varchar(255) NOT NULL DEFAULT '0',
  UNIQUE KEY `module_filepath` (`module`,`filepath`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*!40000 ALTER TABLE `cat_class_secure` DISABLE KEYS */;
INSERT IGNORE INTO `cat_class_secure` (`module`, `filepath`) VALUES
	(0, '/account/forgot.php'),
	(0, '/account/login.php'),
	(0, '/account/logout.php'),
	(0, '/account/preferences.php'),
	(0, '/account/signup.php'),
	(0, '/backend/addons/ajax_catalog_install.php'),
	(0, '/backend/addons/ajax_create.php'),
	(0, '/backend/addons/ajax_get_catalog.php'),
	(0, '/backend/addons/ajax_get_details.php'),
	(0, '/backend/addons/ajax_get_template.php'),
	(0, '/backend/addons/ajax_update_catalog.php'),
	(0, '/backend/addons/index.php'),
	(0, '/backend/addons/install.php'),
	(0, '/backend/addons/manual_install.php'),
	(0, '/backend/addons/reload.php'),
	(0, '/backend/addons/uninstall.php'),
	(0, '/backend/admintools/index.php'),
	(0, '/backend/admintools/tool.php'),
	(0, '/backend/groups/ajax_delete_group.php'),
	(0, '/backend/groups/ajax_get_group.php'),
	(0, '/backend/groups/ajax_save_group.php'),
	(0, '/backend/groups/index.php'),
	(0, '/backend/login/ajax_check_ssl.php'),
	(0, '/backend/login/ajax_index.php'),
	(0, '/backend/login/ajax_keepalive.php'),
	(0, '/backend/login/forgot/ajax_forgot.php'),
	(0, '/backend/login/forgot/index.php'),
	(0, '/backend/login/index.php'),
	(0, '/backend/logout/index.php'),
	(0, '/backend/media/ajax_create_folder.php'),
	(0, '/backend/media/ajax_delete.php'),
	(0, '/backend/media/ajax_get_contents.php'),
	(0, '/backend/media/ajax_rename.php'),
	(0, '/backend/media/ajax_upload.php'),
	(0, '/backend/pages/ajax_add_page.php'),
	(0, '/backend/pages/ajax_delete_page.php'),
	(0, '/backend/pages/ajax_get_dropdown.php'),
	(0, '/backend/pages/ajax_headers.php'),
	(0, '/backend/pages/ajax_page_settings.php'),
	(0, '/backend/pages/ajax_recreate_af.php'),
	(0, '/backend/pages/ajax_reorder.php'),
	(0, '/backend/pages/ajax_restore_page.php'),
	(0, '/backend/pages/ajax_sections_save.php'),
	(0, '/backend/pages/ajax_settings_save.php'),
	(0, '/backend/pages/empty_trash.php'),
	(0, '/backend/pages/get_page_tree.php'),
	(0, '/backend/pages/index.php'),
	(0, '/backend/pages/intro.php'),
	(0, '/backend/pages/intro2.php'),
	(0, '/backend/pages/intro_save.php'),
	(0, '/backend/pages/lang_settings.php'),
	(0, '/backend/pages/lang_settings_save.php'),
	(0, '/backend/pages/modify.php'),
	(0, '/backend/pages/modify_headers.php'),
	(0, '/backend/pages/move_down.php'),
	(0, '/backend/pages/move_up.php'),
	(0, '/backend/pages/restore.php'),
	(0, '/backend/pages/save.php'),
	(0, '/backend/pages/sections.php'),
	(0, '/backend/pages/sections_save.php'),
	(0, '/backend/pages/settings_save.php'),
	(0, '/backend/pages/trash.php'),
	(0, '/backend/preferences/ajax_save.php'),
	(0, '/backend/profiles/index.php'),
	(0, '/backend/settings/ajax_check_htaccess.php'),
	(0, '/backend/settings/ajax_get_settings.php'),
	(0, '/backend/settings/ajax_get_template_variants.php'),
	(0, '/backend/settings/ajax_guid.php'),
	(0, '/backend/settings/ajax_save_settings.php'),
	(0, '/backend/settings/ajax_testmail.php'),
	(0, '/backend/settings/index.php'),
	(0, '/backend/settings/save.php'),
	(0, '/backend/start/ajax_manage_widgets.php'),
	(0, '/backend/start/index.php'),
	(0, '/backend/users/ajax_delete_user.php'),
	(0, '/backend/users/ajax_get_user.php'),
	(0, '/backend/users/ajax_save_user.php'),
	(0, '/backend/users/index.php'),
	(0, '/include/captcha/captcha.php'),
	(0, '/include/captcha/captchas/calc_image.php'),
	(0, '/include/captcha/captchas/calc_ttf_image.php'),
	(0, '/include/captcha/captchas/old_image.php'),
	(0, '/include/captcha/captchas/ttf_image.php'),
	(0, '/modules/edit_modules_files.php'),
	(0, '/modules/edit_module_files.php'),
	(0, '/modules/lib_jquery/plugins/cattranslate/cattranslate.php'),
	(0, '/modules/wysiwyg/save.php'),
	(0, '/page/index.php'),
	(0, '/search/index.php'),
	(1, '/modules/blackcat/widgets/logs.php'),
	(2, '/modules/blackcatFilter/ajax_set.php'),
	(14, '/modules/menu_link/save.php'),
	(16, '/modules/wysiwyg/save.php');
/*!40000 ALTER TABLE `cat_class_secure` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `cat_dashboard` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `module` varchar(50) DEFAULT '0',
  `layout` varchar(10) NOT NULL,
  `widgets` text NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id_user_id_module` (`user_id`,`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*!40000 ALTER TABLE `cat_dashboard` DISABLE KEYS */;
/*!40000 ALTER TABLE `cat_dashboard` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `cat_groups` (
  `group_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `system_permissions` text NOT NULL,
  `module_permissions` text NOT NULL,
  `template_permissions` text NOT NULL,
  PRIMARY KEY (`group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*!40000 ALTER TABLE `cat_groups` DISABLE KEYS */;
INSERT IGNORE INTO `cat_groups` (`group_id`, `name`, `system_permissions`, `module_permissions`, `template_permissions`) VALUES
	(1, 'Administrators', 'pages,pages_view,pages_add,pages_add_l0,pages_settings,pages_modify,pages_intro,pages_delete,media,media_view,media_upload,media_rename,media_delete,media_create,addons,modules,modules_view,modules_install,modules_uninstall,templates,templates_view,templates_install,templates_uninstall,languages,languages_view,languages_install,languages_uninstall,settings,settings_basic,settings_advanced,access,users,users_view,users_add,users_modify,users_delete,groups,groups_view,groups_add,groups_modify,groups_delete,admintools,service', '', '');
/*!40000 ALTER TABLE `cat_groups` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `cat_mimetypes` (
  `mime_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `mime_type` varchar(50) NOT NULL,
  `mime_suffixes` text,
  `mime_label` varchar(50) DEFAULT NULL,
  `mime_icon` varchar(50) DEFAULT NULL,
  `mime_allowed_for` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`mime_id`),
  KEY `mime_id` (`mime_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*!40000 ALTER TABLE `cat_mimetypes` DISABLE KEYS */;
INSERT IGNORE INTO `cat_mimetypes` (`mime_id`, `mime_type`, `mime_suffixes`, `mime_label`, `mime_icon`, `mime_allowed_for`) VALUES
	(1, 'application/gzip', '|gzip|', 'GZIP compressed files', 'mime-compressed.png', NULL),
	(2, 'application/octet-stream', '|bin|dms|lha|lzh|exe|class|ani|pgp|so|dll|dmg|', 'Binary', 'mime-octet.png', NULL),
	(3, 'application/pdf', '|pdf|', 'PDF files', 'mime-pdf.png', NULL),
	(4, 'application/xhtml+xml', '', NULL, NULL, NULL),
	(5, 'application/xml', '|xml|xsl|', NULL, NULL, NULL),
	(6, 'application/x-bcpio', '', NULL, NULL, NULL),
	(7, 'application/x-compress', '', NULL, NULL, NULL),
	(8, 'application/x-cpio', '', NULL, NULL, NULL),
	(9, 'application/x-gtar', '', NULL, NULL, NULL),
	(10, 'application/x-httpd-php', '', NULL, NULL, NULL),
	(11, 'application/x-javascript', '|js|', 'JavaScript (x-javascript)', NULL, NULL),
	(12, 'application/x-tar', '', NULL, NULL, NULL),
	(13, 'application/x-www-form-urlencoded', '', NULL, NULL, NULL),
	(14, 'application/zip', '|zip|', 'ZIP compressed files (zip)', 'mime-compressed.png', NULL),
	(15, 'audio/basic', '', NULL, NULL, NULL),
	(16, 'audio/echospeech', '', NULL, NULL, NULL),
	(17, 'audio/tsplayer', '', NULL, NULL, NULL),
	(18, 'audio/voxware', '', NULL, NULL, NULL),
	(19, 'audio/x-aiff', '|aif|aiff|', NULL, NULL, NULL),
	(20, 'audio/x-dspeeh', '', NULL, NULL, NULL),
	(21, 'audio/x-midi', '', NULL, NULL, NULL),
	(22, 'audio/x-mpeg', '', 'MPEG Audio Stream, Layer III (MP3)', 'mime-audio.png', NULL),
	(23, 'audio/x-pn-realaudio', '', NULL, NULL, NULL),
	(24, 'audio/x-pn-realaudio-plugin', '', NULL, NULL, NULL),
	(25, 'audio/x-qt-stream', '', NULL, NULL, NULL),
	(26, 'audio/x-wav', '|wav|', NULL, NULL, NULL),
	(27, 'image/gif', '|gif|', 'GIF Images', 'mime-gif.png', NULL),
	(28, 'image/ief', '|ief|', NULL, NULL, NULL),
	(29, 'image/jpeg', '|jpeg|jpg|jpe|', 'JP(e)G images', 'mime-jpg.png', NULL),
	(30, 'image/png', '|png|', 'PNG images', 'mime-image.png', NULL),
	(31, 'image/tiff', '|tiff|tif|', 'TIFF images', 'mime-tiff.png', NULL),
	(32, 'image/x-freehand', '', NULL, NULL, NULL),
	(33, 'image/x-icon', '', NULL, NULL, NULL),
	(34, 'image/x-portable-anymap', '', NULL, NULL, NULL),
	(35, 'image/x-portable-bitmap', '', NULL, NULL, NULL),
	(36, 'image/x-portable-graymap', '', NULL, NULL, NULL),
	(37, 'image/x-portable-pixmap', '', NULL, NULL, NULL),
	(38, 'image/x-rgb', '', NULL, NULL, NULL),
	(39, 'image/x-windowdump', '', NULL, NULL, NULL),
	(40, 'image/x-xbitmap', '', NULL, NULL, NULL),
	(41, 'image/x-xpixmap', '', NULL, NULL, NULL),
	(42, 'message/external-body', '', NULL, NULL, NULL),
	(43, 'message/http', '', NULL, NULL, NULL),
	(44, 'message/news', '', NULL, NULL, NULL),
	(45, 'message/partial', '', NULL, NULL, NULL),
	(46, 'message/rfc822', '', NULL, NULL, NULL),
	(47, 'model/vrml', '', NULL, NULL, NULL),
	(48, 'multipart/alternative', '', NULL, NULL, NULL),
	(49, 'multipart/byteranges', '', NULL, NULL, NULL),
	(50, 'multipart/digest', '', NULL, NULL, NULL),
	(51, 'multipart/encrypted', '', NULL, NULL, NULL),
	(52, 'multipart/form-data', '', NULL, NULL, NULL),
	(53, 'multipart/mixed', '', NULL, NULL, NULL),
	(54, 'multipart/parallel', '', NULL, NULL, NULL),
	(55, 'multipart/related', '', NULL, NULL, NULL),
	(56, 'multipart/report', '', NULL, NULL, NULL),
	(57, 'multipart/signed', '', NULL, NULL, NULL),
	(58, 'multipart/voice-message', '', NULL, NULL, NULL),
	(59, 'text/css', '|css|', 'CSS files', NULL, NULL),
	(60, 'text/html', '|htm|html|php|', NULL, NULL, NULL),
	(61, 'text/javascript', '|js|', 'JavaScript files', NULL, NULL),
	(62, 'text/plain', '|txt|', NULL, NULL, NULL),
	(63, 'text/richtext', '', NULL, NULL, NULL),
	(64, 'text/rtf', '', NULL, NULL, NULL),
	(65, 'text/xml', '', NULL, NULL, NULL),
	(66, 'video/mpeg', '|mpe|mpeg|mpg|', NULL, NULL, NULL),
	(67, 'video/quicktime', '|mov|', NULL, NULL, NULL),
	(68, 'video/x-msvideo', '', NULL, NULL, NULL),
	(69, 'video/x-sgi-movie', '', NULL, NULL, NULL),
	(70, 'image/targa', '|tga|', 'TGA (Targa) images', 'mime-tga.png', NULL),
	(71, 'application/x-zip-compressed', '|zip|', 'ZIP compressed files (x-zip-compressed)', 'mime-compressed.png', NULL),
	(72, 'image/*', '|gif|ief|jpeg|jpg|jpe|png|tga|tif|tiff|', 'All kinds of images', 'mime-image.png', NULL),
	(73, 'video/x-flv', '|flv|', NULL, NULL, NULL),
	(74, 'application/json', '|json|', NULL, NULL, NULL),
	(75, 'application/msword', '|doc|docx|', NULL, NULL, NULL),
	(76, 'application/vnd.ms-excel', '|xls|xlt|xlm|xld|xla|xlc|xlw|xll|', NULL, NULL, NULL),
	(77, 'vnd.ms-powerpoint', '|ppt|pps|', NULL, NULL, NULL),
	(78, 'audio/wav', '|wav|', NULL, NULL, NULL),
	(79, 'video/msvideo', '|avi|', NULL, NULL, NULL),
	(80, 'video/x-ms-wmv', '|wmv|', NULL, NULL, NULL);
/*!40000 ALTER TABLE `cat_mimetypes` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `cat_mod_captcha_control` (
  `enabled_captcha` varchar(1) NOT NULL DEFAULT '1',
  `enabled_asp` varchar(1) NOT NULL DEFAULT '0',
  `captcha_type` varchar(255) NOT NULL DEFAULT 'calc_text',
  `asp_session_min_age` int(11) NOT NULL DEFAULT '20',
  `asp_view_min_age` int(11) NOT NULL DEFAULT '10',
  `asp_input_min_age` int(11) NOT NULL DEFAULT '5',
  `ct_text` longtext NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*!40000 ALTER TABLE `cat_mod_captcha_control` DISABLE KEYS */;
INSERT IGNORE INTO `cat_mod_captcha_control` (`enabled_captcha`, `enabled_asp`, `captcha_type`, `asp_session_min_age`, `asp_view_min_age`, `asp_input_min_age`, `ct_text`) VALUES
	('1', '1', 'calc_text', 20, 10, 5, '');
/*!40000 ALTER TABLE `cat_mod_captcha_control` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `cat_mod_droplets` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(32) NOT NULL,
  `code` longtext NOT NULL,
  `description` text NOT NULL,
  `modified_when` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `active` int(11) NOT NULL DEFAULT '1',
  `admin_edit` int(11) NOT NULL DEFAULT '1',
  `admin_view` int(11) NOT NULL DEFAULT '1',
  `show_wysiwyg` int(11) NOT NULL DEFAULT '1',
  `comments` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*!40000 ALTER TABLE `cat_mod_droplets` DISABLE KEYS */;
INSERT IGNORE INTO `cat_mod_droplets` (`id`, `name`, `code`, `description`, `modified_when`, `modified_by`, `active`, `admin_edit`, `admin_view`, `show_wysiwyg`, `comments`) VALUES
	(1, 'cat_submenu', 'return CAT_Helper_Menu::subMenu($parent);', 'Create a Submenu for given parent page', 1583227551, 1, 1, 1, 1, 1, 'cat_submenu?parent=<PAGE_ID>'),
	(2, 'EditThisPage', '\r\n$user = CAT_Users::getInstance();\r\n$str  = "";\r\n\r\nif (FRONTEND_LOGIN == \'enabled\' && $user->is_authenticated())\r\n{\r\n    if (isset($page_id) && is_numeric($page_id))\r\n        $this_page = $page_id;\r\n    else\r\n        $this_page = CAT_Helper_Page::getDefaultPage();\r\n\r\n    $results = $user->db()->query(\r\n        "SELECT * FROM `:prefix:pages` WHERE page_id = :id",\r\n        array(\'id\'=>$this_page)\r\n    );\r\n    $results_array    = $results->fetch();\r\n    $old_admin_groups = explode(\',\', $results_array[\'admin_groups\']);\r\n    $old_admin_users  = explode(\',\', $results_array[\'admin_users\']);\r\n    $this_user        = $user->get_group_id();\r\n    $page             = CAT_Helper_Page::properties($this_page);\r\n    $admin_groups     = explode(\',\', str_replace(\'_\', \'\', $page[\'admin_groups\']));\r\n    $admin_users      = explode(\',\', str_replace(\'_\', \'\', $page[\'admin_users\']));\r\n    $in_group         = FALSE;\r\n\r\n    foreach($user->get_groups_id() as $cur_gid)\r\n        if (in_array($cur_gid, $admin_groups))\r\n            $in_group = TRUE;\r\n\r\n    if (($in_group) || is_numeric(array_search($this_user, $old_admin_groups)) )\r\n    {\r\n        $str  = \'<a href="\' . CAT_ADMIN_URL . \'/pages/modify.php?page_id=\'.$this_page;\r\n        $str .= \'" target="_blank"><img src="\';\r\n        $str .= CAT_THEME_URL . \'/images/modify_16.png" alt="\';\r\n        $str .= $wb->lang->translate(\'Modify page\') . \'" /> \'.$wb->lang->translate(\'Modify page\').\'</a>\';\r\n    }\r\n\r\n}\r\nreturn $str;', 'Shows an [Edit Page] link in the frontend', 1583227551, 1, 1, 1, 1, 1, 'Usage: [[editthispage]]This Droplet will show a link to the backend page editor. This is only shown when the user is logged in and has the correct permissions to edit the page in question.:Shows an \\"Edit page\\" link in the frontend:Usage: [[editthispage]]This Droplet will show a link to the backend page editor. This is only shown when the user is logged in and has the correct permissions to edit the page in question.'),
	(3, 'EmailFilter', '\r\n// Basic Email Configuration:\r\n// Filter Email addresses in text 0 = no, 1 = yes - default 1\r\n$filter_settings[\'email_filter\'] = \'1\';\r\n\r\n// Filter Email addresses in mailto links 0 = no, 1 = yes - default 1\r\n$filter_settings[\'mailto_filter\'] = \'1\';\r\n\r\n// Email Replacements, replace the \'@\' and the \'.\' by default (at) and (dot)\r\n$filter_settings[\'at_replacement\']  = \'(at)\';\r\n$filter_settings[\'dot_replacement\'] = \'(dot)\';\r\n\r\n// No need to change stuff underneatch unless you know what you are doing.\r\n\r\n// work out the defined output filter mode: possible output filter modes: [0], 1, 2, 3, 6, 7\r\n// 2^0 * (0.. disable, 1.. enable) filtering of mail addresses in text\r\n// 2^1 * (0.. disable, 1.. enable) filtering of mail addresses in mailto links\r\n// 2^2 * (0.. disable, 1.. enable) Javascript mailto encryption (only if mailto filtering enabled)\r\n\r\n// only filter output if we are supposed to\r\nif($filter_settings[\'email_filter\'] != \'1\' && $filter_settings[\'mailto_filter\'] != \'1\'){\r\n    // nothing to do ...\r\n    return true;\r\n}\r\n\r\nglobal $at, $dot, $output_filter_mode;\r\n\r\n// check if non mailto mail addresses needs to be filtered\r\n$output_filter_mode = ($filter_settings[\'email_filter\'] == \'1\') ? 1 : 0;        // 0|1\r\n\r\n// check if mailto mail addresses needs to be filtered\r\nif($filter_settings[\'mailto_filter\'] == \'1\')\r\n{\r\n    $output_filter_mode = $output_filter_mode + 2;                                // 0|2\r\n    $search_pattern = \'/<.*src=\\".*\\/mdcr.js.*>/iU\';\r\n    if(preg_match($search_pattern, $wb_page_data))\r\n    {\r\n      $output_filter_mode = $output_filter_mode + 4;       // 0|4\r\n    }\r\n}\r\n\r\n$at  = $filter_settings[\'at_replacement\'];\r\n$dot = $filter_settings[\'dot_replacement\'];\r\n\r\n// function to filter mail addresses embedded in text or mailto links before outputing them on the frontend\r\nif (!function_exists(\'filter_mail_addresses\')) {\r\n    function filter_mail_addresses($match) {\r\n        global $at, $dot, $output_filter_mode;\r\n        // check if required output filter mode is defined\r\n        if(!$output_filter_mode) {\r\n            return \'---\'.$output_filter_mode."---".$match[0];\r\n        }\r\n        $search  = array(\'@\', \'.\');\r\n        $replace = array($at, $dot);\r\n        // check if the match contains the expected number of subpatterns (6|8)\r\n        if(count($match) == 8) {\r\n            // 1.. text mails only, 3.. text mails + mailto (no JS), 7 text mails + mailto (JS)\r\n            if(!in_array($output_filter_mode, array(1,3,7))) return $match[0];\r\n            // do not filter mail addresses included in input tags (<input ... value = "test@mail)\r\n            if (strpos($match[6], \'value\') !== false) return $match[0];\r\n            // filtering of non mailto email addresses enabled\r\n            return str_replace($search, $replace, $match[0]);\r\n        } elseif(count($match) == 6) {\r\n            // 2.. mailto only (no JS), 3.. text mails + mailto (no JS), 6.. mailto only (JS), 7.. all filters active\r\n            if(!in_array($output_filter_mode, array(2,3,6,7))) return $match[0];\r\n            // check if last part of the a href link: >xxxx</a> contains a email address we need to filter\r\n            $pattern = \'#[A-Z0-9._%+-]+@(?:[A-Z0-9-]+\\.)+[A-Z]{2,4}#i\';\r\n            if(preg_match_all($pattern, $match[5], $matches)) {\r\n                foreach($matches as $submatch) {\r\n                    foreach($submatch as $value) {\r\n                        // replace all . and all @ in email address parts by (dot) and (at) strings\r\n                        $match[5] = str_replace($value, str_replace($search, $replace, $value), $match[5]);\r\n                    }\r\n                }\r\n            }\r\n            // check if Javascript encryption routine is enabled\r\n            if(in_array($output_filter_mode, array(6,7))) {\r\n                // extract possible class and id attribute from ahref link\r\n                preg_match(\'/class\\s*?=\\s*?("|\\\')(.*?)\\1/ix\', $match[0], $class_attr);\r\n                $class_attr = empty($class_attr) ? \'\' : \'class="\' . $class_attr[2] . \'" \';\r\n                preg_match(\'/id\\s*?=\\s*?("|\\\')(.*?)\\1/ix\', $match[0], $id_attr);\r\n                $id_attr = empty($id_attr) ? \'\' : \'id="\' . $id_attr[2] . \'" \';\r\n                // preprocess mailto link parts for further usage\r\n                $search = array(\'@\', \'.\', \'_\', \'-\'); $replace = array(\'F\', \'Z\', \'X\', \'K\');\r\n                $email_address = str_replace($search, $replace, strtolower($match[2]));\r\n                $email_subject = rawurlencode(html_entity_decode($match[3]));\r\n                // create a random encryption key for the Caesar cipher\r\n                mt_srand((double)microtime()*1000000);    // (PHP < 4.2.0)\r\n                $shift = mt_rand(1, 25);\r\n                // encrypt the email using an adapted Caesar cipher\r\n                $encrypted_email = "";\r\n                for($i = strlen($email_address) -1; $i > -1; $i--) {\r\n                    if(preg_match(\'#[FZXK0-9]#\', $email_address[$i], $characters)) {\r\n                        $encrypted_email .= $email_address[$i];\r\n                    } else {\r\n                        $encrypted_email .= chr((ord($email_address[$i]) -97 + $shift) % 26 + 97);\r\n                    }\r\n                }\r\n                $encrypted_email .= chr($shift + 97);\r\n                // build the encrypted Javascript mailto link\r\n                $mailto_link  = "<a {$class_attr}{$id_attr}href=\\"javascript:mdcr(\'$encrypted_email\',\'$email_subject\')\\">" .$match[5] ."</a>";\r\n                return $mailto_link;\r\n            } else {\r\n                // rebuild the mailto link from the subpatterns (at the missing characters " and </a>")\r\n                return $match[1] .str_replace(\'@\', $at, $match[2]) .$match[3] .\'"\' .$match[4] .$match[5] .\'</a>\';\r\n                // if you want to protect both, @ and dots, comment out the line above and remove the comment from the line below\r\n                // return $match[1] .str_replace($search, $replace, $match[2]) .$match[3] .\'"\' .$match[4] .$match[5] .\'</a>\';\r\n            }\r\n\r\n        }\r\n        // number of subpatterns do not match the requirements ... do nothing\r\n        return $match[0];\r\n    }\r\n}\r\n\r\n// first search part to find all mailto email addresses\r\n$pattern = \'#(<a[^<]*href\\s*?=\\s*?"\\s*?mailto\\s*?:\\s*?)([A-Z0-9._%+-]+@(?:[A-Z0-9-]+\\.)+[A-Z]{2,4})([^"]*?)"([^>]*>)(.*?)</a>\';\r\n// second part to find all non mailto email addresses\r\n$pattern .= \'|(value\\s*=\\s*"|\\\')??\\b([A-Z0-9._%+-]+@(?:[A-Z0-9-]+\\.)+[A-Z]{2,4})\\b#i\';\r\n\r\n// Sub 1:\\b(<a.[^<]*href\\s*?=\\s*?"\\s*?mailto\\s*?:\\s*?) -->    "<a id="yyy" class="xxx" href = " mailto :" ignoring white spaces\r\n// Sub 2:([A-Z0-9._%+-]+@(?:[A-Z0-9-]+\\.)+[A-Z]{2,4})  -->    the email address in the mailto: part of the mail link\r\n// Sub 3:([^"]*?)"                                     --> possible ?Subject&cc... stuff attached to the mail address\r\n// Sub 4:([^>]*>)                                      --> all class or id statements after the mailto but before closing ..>\r\n// Sub 5:(.*?)</a>\\b                                   --> the mailto text; all characters between >xxxxx</a>\r\n// Sub 6:|\\b([A-Z0-9._%+-]+@(?:[A-Z0-9-]+\\.)+[A-Z]{2,4})\\b   --> email addresses which may appear in the text (require word boundaries)\r\n$content = $wb_page_data;\r\n// find all email addresses embedded in the content and filter them using a callback function\r\n$content = preg_replace_callback($pattern, \'filter_mail_addresses\', $content);\r\n$wb_page_data = $content;\r\nreturn true;\r\n\r\n', 'Emailfiltering on your output - output filtering with the options below - Mailto links can be encrypted by a Javascript', 1583227551, 1, 1, 1, 1, 1, 'usage:  [[EmailFilter]]'),
	(4, 'GlobalBlock', 'global $database, $parser;\r\n$content   = \'\';\r\n$query_sec = $database->query("SELECT `section_id`, `module` FROM `:prefix:sections` WHERE `section_id` = ?", array($block));\r\nif($query_sec->numRows() > 0) {\r\n    $section    = $query_sec->fetch();\r\n    $section_id = $section[\'section_id\'];\r\n    $module     = $section[\'module\'];\r\n    if(file_exists(CAT_Helper_Directory::sanitizePath(CAT_PATH.\'/modules/\'.$module.\'/headers.inc.php\')))\r\n    {\r\n        global $mod_headers;\r\n        include CAT_Helper_Directory::sanitizePath(CAT_PATH.\'/modules/\'.$module.\'/headers.inc.php\');\r\n        if(isset($mod_headers[\'frontend\']) && isset($mod_headers[\'frontend\'][\'css\']))\r\n        {\r\n            foreach($mod_headers[\'frontend\'][\'css\'] as $item)\r\n            {\r\n                $wb_page_data = str_replace(\r\n                    \'</head>\',\r\n                    \'<link href="\'\r\n                        . (\r\n                            ( substr($item[\'file\'],0,4) == \'http\' ) ? $item[\'file\'] :\r\n                            CAT_Helper_Validate::sanitize_url(CAT_URL.\'/\'.$item[\'file\'])\r\n                          )\r\n                        . \'" rel="stylesheet" type="text/css" media="screen" />\'."\\n".\'</head>\',\r\n                    $wb_page_data\r\n                );\r\n            }\r\n        }\r\n        if(\r\n               isset($mod_headers[\'frontend\'])\r\n            && isset($mod_headers[\'frontend\'][\'jquery\'])\r\n            && isset($mod_headers[\'frontend\'][\'jquery\'][0])\r\n            && isset($mod_headers[\'frontend\'][\'jquery\'][0][\'all\'])\r\n        ) {\r\n            foreach($mod_headers[\'frontend\'][\'jquery\'][0][\'all\'] as $item)\r\n            {\r\n                $wb_page_data = str_replace(\r\n                    \'</head>\',\r\n                    \'<script src="\'\r\n                        . CAT_Helper_Validate::sanitize_url(CAT_URL.\'/modules/lib_jquery/plugins/\'.$item)\r\n                        . \'" type="text/javascript"></script>\'."\\n"\r\n                        . \'</head>\',\r\n                    $wb_page_data\r\n                );\r\n            }\r\n        }\r\n        if(isset($mod_headers[\'frontend\']) && isset($mod_headers[\'frontend\'][\'js\']))\r\n        {\r\n            foreach($mod_headers[\'frontend\'][\'js\'] as $item)\r\n            {\r\n                $wb_page_data = str_replace(\r\n                    \'</head>\',\r\n                    \'<script src="\'\r\n                        . (\r\n                            ( substr($item,0,4) == \'http\' ) ? $item :\r\n                            CAT_Helper_Validate::sanitize_url(CAT_URL.\'/\'.$item)\r\n                          )\r\n                        . \'" type="text/javascript"></script>\'."\\n"\r\n                        . \'</head>\',\r\n                    $wb_page_data\r\n                );\r\n            }\r\n        }\r\n    }\r\n    if(file_exists(CAT_Helper_Directory::sanitizePath(CAT_PATH.\'/modules/\'.$module.\'/languages/\'.LANGUAGE.\'.php\')))\r\n        CAT_Helper_I18n::getInstance()->addFile(LANGUAGE.\'.php\', CAT_Helper_Directory::sanitizePath(CAT_PATH.\'/modules/\'.$module.\'/languages/\'));\r\n    ob_start();\r\n        require CAT_PATH.\'/modules/\'.$module.\'/view.php\';\r\n        $content = ob_get_contents();\r\n    ob_clean();\r\n    // insert the module\'s CSS\r\n    if(file_exists(CAT_Helper_Directory::sanitizePath(CAT_PATH.\'/modules/\'.$module.\'/frontend.css\')))\r\n        $wb_page_data = str_replace(\'</head>\',\'<link href="\'.CAT_URL.\'/modules/\'.$module.\'/frontend.css" rel="stylesheet" type="text/css" media="screen" />\'."\\n".\'</head>\', $wb_page_data );\r\n    if(file_exists(CAT_Helper_Directory::sanitizePath(CAT_PATH.\'/modules/\'.$module.\'/css/frontend.css\')))\r\n        $wb_page_data = str_replace(\'</head>\',\'<link href="\'.CAT_URL.\'/modules/\'.$module.\'/css/frontend.css" rel="stylesheet" type="text/css" media="screen" />\'."\\n".\'</head>\', $wb_page_data );\r\n    // insert the module\'s JS\r\n    if(file_exists(CAT_Helper_Directory::sanitizePath(CAT_PATH.\'/modules/\'.$module.\'/frontend.js\')))\r\n        $wb_page_data = str_replace(\'</head>\',\'<script src="\'.CAT_URL.\'/modules/\'.$module.\'/frontend.js" type="text/javascript"></script>\'."\\n".\'</head>\', $wb_page_data );\r\n    if(file_exists(CAT_Helper_Directory::sanitizePath(CAT_PATH.\'/modules/\'.$module.\'/js/frontend.js\')))\r\n        $wb_page_data = str_replace(\'</head>\',\'<script src="\'.CAT_URL.\'/modules/\'.$module.\'/js/frontend.js" type="text/javascript"></script>\'."\\n".\'</head>\', $wb_page_data );\r\n}\r\nreturn $content;', 'allows to include a block globally (in the template, for example); was called [sectionpicker] in WB', 1583227551, 1, 1, 1, 1, 1, '[[globalblock?block=<BlockID>]]'),
	(5, 'LinkPageGroup', 'global $wb, $database;\r\nif(!isset($group) || empty($group)) {\r\n    return $wb->lang->translate(\'Missing group name\');\r\n}\r\n$sql   = \'SELECT link, menu_title FROM \'.TABLE_PREFIX.\'pages WHERE page_groups = "\'.$group.\'"\'\r\n       . \' OR page_groups REGEXP "^\'.$group.\',.*"\'\r\n       . \' OR page_groups REGEXP ".*,\'.$group.\'$"\';\r\n\r\n$res   = $database->query($sql);\r\n$items = array();\r\nif($res->numRows()) {\r\n    while( ( $row = $res->fetchRow(MYSQL_ASSOC) ) !== false ) {\r\n        $items[] = \'<a href="\'\r\n                 . $wb->page_link($row[\'link\'])\r\n                 . \'" title="\'.$row[\'menu_title\'].\'">\'\r\n                 . $row[\'menu_title\'].\'</a>\';\r\n    }\r\n}\r\nif(count($items)) {\r\n    return implode(\'<br />\',$items);\r\n}', 'Creates links for every page of the given group', 1583227551, 1, 1, 1, 1, 1, ''),
	(6, 'LoginBox', '$return_value = " ";\r\n$fe_login     = CAT_Registry::get(\'FRONTEND_LOGIN\');\r\n$visibility   = CAT_Registry::get(\'VISIBILITY\');\r\n$url          = CAT_Registry::get(\'LOGIN_URL\');\r\n$user_id      = CAT_Users::get_user_id();\r\n\r\nif($fe_login == \'enabled\')\r\n{\r\n    $l = CAT_Users::getInstance()->lang();\r\n    if($visibility != \'private\')\r\n    {\r\n        if(CAT_Users::is_authenticated() && $user_id == \'\')\r\n        {\r\n            $return_value = \'<form name="login" action="\'.$url.\'" method="post" class="login_table">\'\r\n                          . \'<h2>\'.$l->translate(\'Login\').\'</h2>\'\r\n                          . \'<label for="username">\'.$l->translate(\'Username\').\'</label>:<br />\'\r\n                          . \'<input type="text" name="username" /><br />\'\r\n                          . \'<label for="password">\'.$l->translate(\'Password\').\'</label>:<br />\'\r\n                          . \'<input type="password" name="password" /><br />\'\r\n                          . \'<input type="submit" name="submit" value="\'.$l->translate(\'Login\').\'" class="dbutton" /><br />\'\r\n                          . \'<a href="\'.CAT_Registry::get(\'FORGOT_URL\').\'">\'.$l->translate(\'Forgotten your details?\').\'</a><br />\'\r\n                          ;\r\n        	if(is_numeric(CAT_Registry::get(\'FRONTEND_SIGNUP\')))\r\n        		$return_value .= \'<a href="\'.CAT_Registry::get(\'SIGNUP_URL\').\'">\'.$l->translate(\'Sign-up\').\'</a>\';\r\n    	    $return_value .= \'</form>\';\r\n        }\r\n        else\r\n        {\r\n            $return_value = \'<form name="logout" action="\'.$url.\'" method="post" class="login_table">\'\r\n                          . \'<h2>\'.$l->translate(\'Logged-In\').\'</h2>\'\r\n                          . $l->translate(\'Welcome back\').\', \'.CAT_Users::get_display_name().\'<br />\'\r\n                          . \'<input type="submit" name="submit" value="\'.$l->translate(\'Logout\').\'" class="dbutton" /><br />\'\r\n        	              . \'<a href="\'.CAT_Registry::get(\'PREFERENCES_URL\').\'">\'.$l->translate(\'Preferences\').\'</a><br />\'\r\n        	              . \'<a href="\'.CAT_ADMIN_URL.\'/index.php" target="_blank">\'.$l->translate(\'Administration\').\'</a>\'\r\n        	              . \'</form>\';\r\n        }\r\n    }\r\n}\r\nreturn $return_value;\r\n', 'Puts a Login / Logout box on your page.', 1583227551, 1, 1, 1, 1, 1, 'Use: [[LoginBox]]. Remember to enable frontend login in your website settings.'),
	(7, 'Lorem', '$lorem = array();\n$lorem[] = "Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Ut odio. Nam sed est. Nam a risus et est iaculis adipiscing. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Integer ut justo. In tincidunt viverra nisl. Donec dictum malesuada magna. Curabitur id nibh auctor tellus adipiscing pharetra. Fusce vel justo non orci semper feugiat. Cras eu leo at purus ultrices tristique.<br /><br />";\n$lorem[] = "Duis autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at vero eros et accumsan et iusto odio dignissim qui blandit praesent luptatum zzril delenit augue duis dolore te feugait nulla facilisi. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.<br /><br />";\n$lorem[] = "Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Duis autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at vero eros et accumsan et iusto odio dignissim qui blandit praesent luptatum zzril delenit augue duis dolore te feugait nulla facilisi.<br /><br />";\n$lorem[] = "Nam liber tempor cum soluta nobis eleifend option congue nihil imperdiet doming id quod mazim placerat facer possim assum. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.<br /><br />";\n$lorem[] = "Cras consequat magna ac tellus. Duis sed metus sit amet nunc faucibus blandit. Fusce tempus cursus urna. Sed bibendum, dolor et volutpat nonummy, wisi justo convallis neque, eu feugiat leo ligula nec quam. Nulla in mi. Integer ac mauris vel ligula laoreet tristique. Nunc eget tortor in diam rhoncus vehicula. Nulla quis mi. Fusce porta fringilla mauris. Vestibulum sed dolor. Aliquam tincidunt interdum arcu. Vestibulum eget lacus. Curabitur pellentesque egestas lectus. Duis dolor. Aliquam erat volutpat. Aliquam erat volutpat. Duis egestas rhoncus dui. Sed iaculis, metus et mollis tincidunt, mauris dolor ornare odio, in cursus justo felis sit amet arcu. Aenean sollicitudin. Duis lectus leo, eleifend mollis, consequat ut, venenatis at, ante.<br /><br />";\n$lorem[] = "Consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet.<br /><br />"; \nif (!isset($blocks)) $blocks = 1;\n$blocks = (int)$blocks - 1;\nif ($blocks <= 0) $blocks = 0;\nif ($blocks > 5) $blocks = 5;\n$returnvalue = "";\nfor ( $i=0 ; $i<=$blocks ; $i++) {\n    $returnvalue .= $lorem[$i];\n}\nreturn $returnvalue;', 'Create Lorum Ipsum text', 1583227551, 1, 1, 1, 1, 1, 'Use: [[Lorem?blocks=6]] (max 6 paragraphs)'),
	(8, 'year', '$datum = date("Y");\r\nreturn $datum;', 'displays the current year', 1583227551, 1, 1, 1, 1, 1, 'Usage:[[year]]');
/*!40000 ALTER TABLE `cat_mod_droplets` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `cat_mod_droplets_extension` (
  `drop_id` int(11) NOT NULL AUTO_INCREMENT,
  `drop_droplet_name` varchar(255) COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `drop_page_id` int(11) NOT NULL DEFAULT '-1',
  `drop_module_dir` varchar(255) COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `drop_type` varchar(20) COLLATE utf8mb4_bin NOT NULL DEFAULT 'undefined',
  `drop_file` varchar(255) COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `drop_timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`drop_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

/*!40000 ALTER TABLE `cat_mod_droplets_extension` DISABLE KEYS */;
/*!40000 ALTER TABLE `cat_mod_droplets_extension` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `cat_mod_droplets_permissions` (
  `id` int(10) unsigned NOT NULL,
  `edit_groups` varchar(50) NOT NULL,
  `view_groups` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*!40000 ALTER TABLE `cat_mod_droplets_permissions` DISABLE KEYS */;
/*!40000 ALTER TABLE `cat_mod_droplets_permissions` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `cat_mod_droplets_settings` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `attribute` varchar(50) NOT NULL DEFAULT '0',
  `value` varchar(50) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*!40000 ALTER TABLE `cat_mod_droplets_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `cat_mod_droplets_settings` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `cat_mod_filter` (
  `filter_name` varchar(50) NOT NULL,
  `module_name` varchar(50) DEFAULT NULL,
  `filter_description` text,
  `filter_code` text,
  `filter_active` enum('Y','N') NOT NULL DEFAULT 'Y',
  UNIQUE KEY `filter_name_module_name` (`filter_name`,`module_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Successor of Output Filters';

/*!40000 ALTER TABLE `cat_mod_filter` DISABLE KEYS */;
INSERT IGNORE INTO `cat_mod_filter` (`filter_name`, `module_name`, `filter_description`, `filter_code`, `filter_active`) VALUES
	('obfuscateEmail', 'blackcatFilter', 'Obfuscates eMail addresses', '', 'N'),
	('cmsplink', 'blackcatFilter', 'Processes internal page links', '', 'Y'),
	('fixDate', 'blackcatFilter', 'fixes dates emitted from old modules', '', 'N'),
	('searchHighlight', 'blackcatFilter', 'Highlights search terms forwarded from search engines', '', 'N');
/*!40000 ALTER TABLE `cat_mod_filter` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `cat_mod_initial_page` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL DEFAULT '1',
  `init_page` text NOT NULL,
  `page_param` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*!40000 ALTER TABLE `cat_mod_initial_page` DISABLE KEYS */;
/*!40000 ALTER TABLE `cat_mod_initial_page` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `cat_mod_menu_link` (
  `section_id` int(11) NOT NULL DEFAULT '0',
  `page_id` int(11) NOT NULL DEFAULT '0',
  `target_page_id` int(11) NOT NULL DEFAULT '0',
  `redirect_type` int(11) NOT NULL DEFAULT '302',
  `anchor` varchar(255) NOT NULL DEFAULT '0',
  `extern` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`section_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*!40000 ALTER TABLE `cat_mod_menu_link` DISABLE KEYS */;
/*!40000 ALTER TABLE `cat_mod_menu_link` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `cat_mod_wrapper` (
  `section_id` int(11) NOT NULL DEFAULT '0',
  `page_id` int(11) NOT NULL DEFAULT '0',
  `url` text NOT NULL,
  `height` int(11) NOT NULL DEFAULT '0',
  `width` int(11) NOT NULL DEFAULT '0',
  `wtype` varchar(50) NOT NULL DEFAULT '0',
  PRIMARY KEY (`section_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*!40000 ALTER TABLE `cat_mod_wrapper` DISABLE KEYS */;
/*!40000 ALTER TABLE `cat_mod_wrapper` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `cat_mod_wysiwyg` (
  `section_id` int(11) NOT NULL DEFAULT '0',
  `page_id` int(11) NOT NULL DEFAULT '0',
  `content` longtext NOT NULL,
  `text` longtext NOT NULL,
  PRIMARY KEY (`section_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*!40000 ALTER TABLE `cat_mod_wysiwyg` DISABLE KEYS */;
INSERT IGNORE INTO `cat_mod_wysiwyg` (`section_id`, `page_id`, `content`, `text`) VALUES
	(-1, -120, '<p><b>Berthold\'s</b> quick brown fox jumps over the lazy dog and feels as if he were in the seventh heaven of typography.</p>', 'Berthold\'s quick brown fox jumps over the lazy dog and feels as if he were in the seventh heaven of typography.'),
	(0, 0, '', ''),
	(1, 1, '<h1>Welcome to Black Cat CMS!</h1>\r\n\r\n<p>This is the Black Cat CMS default page for English language. Just edit the contents in the backend to fit your needs.</p>\r\n\r\n<p>If you don&#39;t need an English welcome page, you may <a href="#del">delete this page</a> in the backend or change it&#39;s language setting and link to the German page.</p>\r\n\r\n<h2>How do I edit a page?</h2>\r\n\r\n<p>In the page tree, just click on the page you wish to edit.</p>\r\n\r\n<h2><a name="#del">How do I delete a page?</a></h2>\r\n\r\n<p>In the page tree, hover the page you wish to delete to see the config icon.</p>\r\n\r\n<p><img alt="Hover page to see the icon" src="https://raw.githubusercontent.com/BlackCatDevelopment/BlackCatCMS/master/screenshots/be_page_settings.png" style="height:263px; width:250px" /></p>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<p>Click on that icon to open the configuration dialog.</p>\r\n\r\n<p><img alt="" src="https://raw.githubusercontent.com/BlackCatDevelopment/BlackCatCMS/master/screenshots/be_delete_page.png" style="height:494px; width:489px" /></p>\r\n\r\n<p>Click on [Remove page].</p>\r\n\r\n<h1><strong>Learn more</strong></h1>\r\n\r\n<ul>\r\n	<li><a href="https://blackcat-cms.org" target="_blank">Black Cat CMS Homepage</a> (german)</li>\r\n	<li><a href="https://docs.blackcat-cms.org">Dokumentation</a> (german)</li>\r\n	<li><a href="https://github.com/webbird/LEPTON_2_BlackCat">GitHub Repository</a> (english)</li>\r\n	<li><a href="https://forum.blackcat-cms.org">Support Forum</a></li>\r\n	<li><a href="https://blackcat-cms.org/page/add-ons.php">Addons Repository</a></li>\r\n</ul>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<p>&nbsp;</p>\r\n', 'Welcome to Black Cat CMS!\r\n\r\nThis is the Black Cat CMS default page for English language. Just edit the contents in the backend to fit your needs.\r\n\r\nIf you don&#39;t need an English welcome page, you may delete this page in the backend or change it&#39;s language setting and link to the German page.\r\n\r\nHow do I edit a page?\r\n\r\nIn the page tree, just click on the page you wish to edit.\r\n\r\nHow do I delete a page?\r\n\r\nIn the page tree, hover the page you wish to delete to see the config icon.\r\n\r\n\r\n\r\n&nbsp;\r\n\r\nClick on that icon to open the configuration dialog.\r\n\r\n\r\n\r\nClick on [Remove page].\r\n\r\nLearn more\r\n\r\n\r\n	Black Cat CMS Homepage (german)\r\n	Dokumentation (german)\r\n	GitHub Repository (english)\r\n	Support Forum\r\n	Addons Repository\r\n\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n'),
	(2, 2, '<h1>Willkommen bei Black Cat CMS!</h1>\r\n\r\n<p>Dies ist die Black Cat CMS Standardseite f&uuml;r die Deutsche Sprache. Bearbeiten Sie einfach den Inhalt der Seite im Backend. Wenn Sie keine deutschsprachige Heimatseite ben&ouml;tigen, k&ouml;nnen Sie diese Seite auch l&ouml;schen oder die Spracheinstellungen und die Verkn&uuml;pfung zur englischsprachigen Seite &auml;ndern.</p>\r\n\r\n<h2>Wie bearbeite ich eine Seite?</h2>\r\n\r\n<p>Klicken Sie im Seitenbaum auf die Seite, die Sie bearbeiten m&ouml;chten.</p>\r\n\r\n<h2><a name="#del">Wie l&ouml;sche ich eine Seite?</a></h2>\r\n\r\n<p>&Uuml;berfahren Sie im Seitenbaum die Seite, die Sie l&ouml;schen m&ouml;chten. Neben der Seite erscheint ein Icon.</p>\r\n\r\n<p><img alt="Hover page to see the icon" src="https://raw.githubusercontent.com/BlackCatDevelopment/BlackCatCMS/master/screenshots/be_page_settings.png" style="height:263px; width:250px" /></p>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<p>Klicken Sie auf das Icon, um die Seiteneigenschaften zu &ouml;ffnen.</p>\r\n\r\n<p><img alt="" src="https://raw.githubusercontent.com/BlackCatDevelopment/BlackCatCMS/master/screenshots/be_delete_page.png" style="height:494px; width:489px" /></p>\r\n\r\n<p>Klicken Sie auf [Seite l&ouml;schen].</p>\r\n\r\n<p><strong>Weitere Informationen:</strong></p>\r\n\r\n<ul>\r\n	<li><a href="https://blackcat-cms.org" target="_blank">Black Cat CMS Homepage</a> (deutsch)</li>\r\n	<li><a href="https://docs.blackcat-cms.org">Dokumentation</a> (deutsch)</li>\r\n	<li><a href="https://github.com/webbird/LEPTON_2_BlackCat">GitHub Repository</a> (englisch)</li>\r\n	<li><a href="https://forum.blackcat-cms.org">Support Forum</a></li>\r\n	<li><a href="https://blackcat-cms.org/page/add-ons.php">Addons Verzeichnis</a></li>\r\n</ul>\r\n', 'Willkommen bei Black Cat CMS!\r\n\r\nDies ist die Black Cat CMS Standardseite f&uuml;r die Deutsche Sprache. Bearbeiten Sie einfach den Inhalt der Seite im Backend. Wenn Sie keine deutschsprachige Heimatseite ben&ouml;tigen, k&ouml;nnen Sie diese Seite auch l&ouml;schen oder die Spracheinstellungen und die Verkn&uuml;pfung zur englischsprachigen Seite &auml;ndern.\r\n\r\nWie bearbeite ich eine Seite?\r\n\r\nKlicken Sie im Seitenbaum auf die Seite, die Sie bearbeiten m&ouml;chten.\r\n\r\nWie l&ouml;sche ich eine Seite?\r\n\r\n&Uuml;berfahren Sie im Seitenbaum die Seite, die Sie l&ouml;schen m&ouml;chten. Neben der Seite erscheint ein Icon.\r\n\r\n\r\n\r\n&nbsp;\r\n\r\nKlicken Sie auf das Icon, um die Seiteneigenschaften zu &ouml;ffnen.\r\n\r\n\r\n\r\nKlicken Sie auf [Seite l&ouml;schen].\r\n\r\nWeitere Informationen:\r\n\r\n\r\n	Black Cat CMS Homepage (deutsch)\r\n	Dokumentation (deutsch)\r\n	GitHub Repository (englisch)\r\n	Support Forum\r\n	Addons Verzeichnis\r\n\r\n'),
	(3, 3, '<div class="ooo">\r\n<p>Sorry, this site is down for maintenance. Please check back later.</p>\r\n<p>Entschuldigung, diese Seite ist wegen Wartungsarbeiten derzeit nicht verf&uuml;gbar. Bitte besuchen Sie uns sp&auml;ter noch einmal.</p>\r\n</div>\r\n', '\r\nSorry, this site is down for maintenance. Please check back later.\r\nEntschuldigung, diese Seite ist wegen Wartungsarbeiten derzeit nicht verf&uuml;gbar. Bitte besuchen Sie uns sp&auml;ter noch einmal.\r\n\r\n'),
	(4, 4, '<h1>Oooops!</h1>\r\n\r\n<h2>This page seems to have been kidnapped by Aliens!</h2>\r\n', 'Oooops!\r\n\r\nThis page seems to have been kidnapped by Aliens!\r\n');
/*!40000 ALTER TABLE `cat_mod_wysiwyg` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `cat_mod_wysiwyg_admin_v2` (
  `editor` varchar(50) NOT NULL,
  `set_name` varchar(50) NOT NULL,
  `set_value` text NOT NULL,
  UNIQUE KEY `editor_set_name` (`editor`,`set_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='WYSIWYG Admin for Black Cat CMS';

/*!40000 ALTER TABLE `cat_mod_wysiwyg_admin_v2` DISABLE KEYS */;
/*!40000 ALTER TABLE `cat_mod_wysiwyg_admin_v2` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `cat_pages` (
  `page_id` int(11) NOT NULL AUTO_INCREMENT,
  `parent` int(11) NOT NULL DEFAULT '0',
  `root_parent` int(11) NOT NULL DEFAULT '0',
  `level` int(11) NOT NULL DEFAULT '0',
  `link` text NOT NULL,
  `target` varchar(7) NOT NULL DEFAULT '',
  `page_title` varchar(255) NOT NULL DEFAULT '',
  `menu_title` varchar(255) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `keywords` text NOT NULL,
  `page_trail` text NOT NULL,
  `template` varchar(255) NOT NULL DEFAULT '',
  `visibility` varchar(255) NOT NULL DEFAULT '',
  `position` int(11) NOT NULL DEFAULT '0',
  `menu` int(11) NOT NULL DEFAULT '0',
  `language` varchar(5) NOT NULL DEFAULT '',
  `searching` int(11) NOT NULL DEFAULT '0',
  `admin_groups` text NOT NULL,
  `admin_users` text NOT NULL,
  `viewing_groups` text NOT NULL,
  `viewing_users` text NOT NULL,
  `modified_when` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `page_groups` tinytext,
  PRIMARY KEY (`page_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*!40000 ALTER TABLE `cat_pages` DISABLE KEYS */;
INSERT IGNORE INTO `cat_pages` (`page_id`, `parent`, `root_parent`, `level`, `link`, `target`, `page_title`, `menu_title`, `description`, `keywords`, `page_trail`, `template`, `visibility`, `position`, `menu`, `language`, `searching`, `admin_groups`, `admin_users`, `viewing_groups`, `viewing_users`, `modified_when`, `modified_by`, `page_groups`) VALUES
	(1, 0, 0, 0, '/welcome', '', 'Welcome', 'Welcome', 'This is the Black Cat CMS default page for English language', '', '1', '', 'public', 2, 1, 'EN', 1, '1', '', '1', '', 1583227552, 1, NULL),
	(2, 0, 0, 0, '/willkommen', '', 'Willkommen', 'Willkommen', 'Dies ist die Black Cat CMS Standardseite fr die Deutsche Sprache', '', '2', '', 'public', 3, 1, 'DE', 1, '1', '', '1', '', 1583227552, 1, NULL),
	(3, 0, 0, 0, '/maintenance', '', 'Maintenance', 'Maintenance', 'Sorry, this site is down for maintenance. Please check back later.', '', '3', 'mojito', 'hidden', 1, 1, 'DE', 1, '1', '', '1', '', 1583227552, 1, NULL),
	(4, 0, 0, 0, '/404', '', '404 Not found', '404 Not found', '404 Not found', '', '4', '', 'hidden', 4, 1, 'DE', 1, '1', '', '1', '', 1583227552, 1, NULL);
/*!40000 ALTER TABLE `cat_pages` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `cat_pages_headers` (
  `page_id` int(11) NOT NULL,
  `page_js_files` text,
  `page_css_files` text,
  `page_js` text,
  `use_core` enum('Y','N') DEFAULT NULL,
  `use_ui` enum('Y','N') DEFAULT NULL,
  UNIQUE KEY `page_id` (`page_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='header files';

/*!40000 ALTER TABLE `cat_pages_headers` DISABLE KEYS */;
/*!40000 ALTER TABLE `cat_pages_headers` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `cat_pages_settings` (
  `page_id` int(11) NOT NULL,
  `set_type` enum('internal','meta') NOT NULL DEFAULT 'internal',
  `set_name` varchar(50) NOT NULL,
  `set_value` tinytext NOT NULL,
  UNIQUE KEY `set_type_set_name` (`page_id`,`set_type`,`set_name`),
  CONSTRAINT `cat_page_id` FOREIGN KEY (`page_id`) REFERENCES `cat_pages` (`page_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Additional settings for pages';

/*!40000 ALTER TABLE `cat_pages_settings` DISABLE KEYS */;
INSERT IGNORE INTO `cat_pages_settings` (`page_id`, `set_type`, `set_name`, `set_value`) VALUES
	(3, 'internal', 'template_variant', 'blank');
/*!40000 ALTER TABLE `cat_pages_settings` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `cat_page_langs` (
  `page_id` int(10) NOT NULL,
  `lang` char(2) NOT NULL,
  `link_page_id` int(10) NOT NULL,
  UNIQUE KEY `page_id_lang_link_page_id` (`page_id`,`lang`,`link_page_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Links pages of different languages together';

/*!40000 ALTER TABLE `cat_page_langs` DISABLE KEYS */;
INSERT IGNORE INTO `cat_page_langs` (`page_id`, `lang`, `link_page_id`) VALUES
	(1, 'DE', 2),
	(2, 'EN', 1);
/*!40000 ALTER TABLE `cat_page_langs` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `cat_search` (
  `search_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `value` text NOT NULL,
  `extra` text,
  PRIMARY KEY (`search_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*!40000 ALTER TABLE `cat_search` DISABLE KEYS */;
INSERT IGNORE INTO `cat_search` (`search_id`, `name`, `value`, `extra`) VALUES
	(1, 'module', 'wysiwyg', 'a:6:{s:7:"page_id";s:7:"page_id";s:5:"title";s:10:"page_title";s:4:"link";s:4:"link";s:11:"description";s:11:"description";s:13:"modified_when";s:13:"modified_when";s:11:"modified_by";s:11:"modified_by";}'),
	(2, 'query_start', 'SELECT [TP]pages.page_id, [TP]pages.page_title,	[TP]pages.link, [TP]pages.description, [TP]pages.modified_when, [TP]pages.modified_by	FROM [TP]mod_wysiwyg, [TP]pages WHERE ', 'wysiwyg'),
	(3, 'query_body', ' [TP]pages.page_id = [TP]mod_wysiwyg.page_id AND [TP]mod_wysiwyg.text [O] \'[W][STRING][W]\' AND [TP]pages.searching = \'1\'', 'wysiwyg'),
	(4, 'query_end', '', 'wysiwyg');
/*!40000 ALTER TABLE `cat_search` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `cat_sections` (
  `section_id` int(11) NOT NULL AUTO_INCREMENT,
  `page_id` int(11) NOT NULL DEFAULT '0',
  `position` int(11) NOT NULL DEFAULT '0',
  `module` varchar(255) NOT NULL DEFAULT '',
  `block` varchar(255) NOT NULL DEFAULT '',
  `publ_start` varchar(255) NOT NULL DEFAULT '0',
  `publ_end` varchar(255) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT 'no name',
  `modified_when` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`section_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*!40000 ALTER TABLE `cat_sections` DISABLE KEYS */;
INSERT IGNORE INTO `cat_sections` (`section_id`, `page_id`, `position`, `module`, `block`, `publ_start`, `publ_end`, `name`, `modified_when`, `modified_by`) VALUES
	(-1, -120, 1, 'wysiwyg', '', '0', '0', 'no name', 0, 0),
	(1, 1, 1, 'wysiwyg', '1', '0', '0', 'no name', 0, 0),
	(2, 2, 1, 'wysiwyg', '1', '0', '0', 'no name', 0, 0),
	(3, 3, 1, 'wysiwyg', '1', '0', '0', 'no name', 0, 0),
	(4, 4, 1, 'wysiwyg', '1', '0', '0', 'no name', 0, 0);
/*!40000 ALTER TABLE `cat_sections` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `cat_settings` (
  `setting_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `value` text NOT NULL,
  PRIMARY KEY (`setting_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*!40000 ALTER TABLE `cat_settings` DISABLE KEYS */;
INSERT IGNORE INTO `cat_settings` (`setting_id`, `name`, `value`) VALUES
	(1, 'auth_max_login_length', '128'),
	(2, 'auth_max_pass_length', '128'),
	(3, 'auth_min_login_length', '5'),
	(4, 'auth_min_pass_length', '5'),
	(5, 'auto_disable_users', 'true'),
	(6, 'cat_default_date_format', '%d.%m.%Y'),
	(7, 'cat_default_time_format', '%H:%M:%S'),
	(8, 'catmailer_default_sendername', 'Black Cat CMS Mailer'),
	(9, 'catmailer_routine', 'phpmail'),
	(10, 'catmailer_smtp_auth', ''),
	(11, 'catmailer_smtp_host', ''),
	(12, 'catmailer_smtp_password', ''),
	(13, 'catmailer_smtp_username', ''),
	(14, 'default_charset', 'utf-8'),
	(15, 'default_date_format', 'd.m.Y'),
	(16, 'default_template', 'mojito'),
	(17, 'default_theme', 'freshcat'),
	(18, 'default_theme_variant', ''),
	(19, 'default_time_format', 'H:i:s'),
	(20, 'er_level', '8191'),
	(21, 'frontend_login', 'false'),
	(22, 'frontend_signup', 'false'),
	(23, 'github_proxy', ''),
	(24, 'github_proxy_port', ''),
	(25, 'github_catalog_location', 'https://raw.githubusercontent.com/BlackCatDevelopment/bcExtensionsCatalog/master/catalog.json'),
	(26, 'home_folders', 'true'),
	(27, 'homepage_redirection', 'false'),
	(28, 'initial_page', 'false'),
	(29, 'intro_forward_by', 'disabled'),
	(30, 'intro_forward_by_domain_settings', ''),
	(31, 'intro_page', 'false'),
	(32, 'maintenance_mode', 'true'),
	(33, 'maintenance_page', '3'),
	(34, 'manage_sections', 'true'),
	(35, 'max_attempts', '9'),
	(36, 'media_directory', '/media'),
	(37, 'mediasettings', ''),
	(38, 'multiple_menus', 'true'),
	(39, 'page_extension', '.php'),
	(40, 'page_languages', 'true'),
	(41, 'page_level_limit', '4'),
	(42, 'page_spacer', '-'),
	(43, 'page_trash', 'true'),
	(44, 'pages_directory', '/page'),
	(45, 'prompt_mysql_errors', 'true'),
	(46, 'redirect_timer', '1500'),
	(47, 'search', 'public'),
	(48, 'sec_anchor', 'cat_'),
	(49, 'section_blocks', 'true'),
	(50, 'server_email', 'admin@yourdomain.tld'),
	(51, 'token_lifetime', '1800'),
	(52, 'upload_allowed', 'jpg,jpeg,gif,gz,png,pdf,tif,zip'),
	(53, 'upload_enable_mimecheck', 'true'),
	(54, 'upload_mime_default_type', 'application/octet-stream'),
	(55, 'users_allow_mailaddress', 'false'),
	(56, 'website_description', ''),
	(57, 'website_footer', 'settings/website footer'),
	(58, 'website_header', 'Black Cat CMS'),
	(59, 'website_keywords', ''),
	(60, 'guid', ''),
	(61, 'app_name', 'cat9192'),
	(62, 'cat_build', ''),
	(63, 'cat_version', '1.3.4'),
	(64, 'default_language', 'EN'),
	(65, 'default_timezone_string', 'America/Detroit'),
	(66, 'installation_time', '1583227550'),
	(67, 'operating_system', 'windows'),
	(68, 'string_dir_mode', '0755'),
	(69, 'string_file_mode', '0644'),
	(70, 'website_title', 'BlackCat CMS'),
	(71, 'wysiwyg_editor', ''),
	(72, 'err_page_404', '4');
/*!40000 ALTER TABLE `cat_settings` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `cat_system_permissions` (
  `perm_group` varchar(50) NOT NULL,
  `perm_name` varchar(50) NOT NULL,
  `perm_bit` int(11) NOT NULL,
  `perm_for` enum('FE','BE') NOT NULL DEFAULT 'BE',
  `perm_comment` varchar(50) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*!40000 ALTER TABLE `cat_system_permissions` DISABLE KEYS */;
INSERT IGNORE INTO `cat_system_permissions` (`perm_group`, `perm_name`, `perm_bit`, `perm_for`, `perm_comment`) VALUES
	('pages', 'pages_view', 2, 'BE', ''),
	('media', 'media_view', 2, 'BE', ''),
	('addons', 'modules_view', 4, 'BE', ''),
	('addons', 'templates_view', 64, 'BE', ''),
	('addons', 'languages_view', 1024, 'BE', ''),
	('access', 'users_view', 4, 'BE', 'Allows to see user details'),
	('access', 'groups_view', 128, 'BE', ''),
	('pages', 'pages', 1, 'BE', ''),
	('pages', 'pages_add', 4, 'BE', ''),
	('pages', 'pages_add_l0', 64, 'BE', ''),
	('pages', 'pages_settings', 32, 'BE', ''),
	('pages', 'pages_modify', 8, 'BE', ''),
	('pages', 'pages_intro', 128, 'BE', ''),
	('pages', 'pages_delete', 16, 'BE', ''),
	('media', 'media', 1, 'BE', ''),
	('media', 'media_upload', 16, 'BE', ''),
	('media', 'media_rename', 8, 'BE', ''),
	('media', 'media_delete', 32, 'BE', ''),
	('media', 'media_create', 4, 'BE', ''),
	('addons', 'addons', 1, 'BE', ''),
	('addons', 'modules', 2, 'BE', ''),
	('addons', 'modules_install', 8, 'BE', ''),
	('addons', 'modules_uninstall', 16, 'BE', ''),
	('addons', 'templates', 32, 'BE', ''),
	('addons', 'templates_install', 128, 'BE', ''),
	('addons', 'templates_uninstall', 256, 'BE', ''),
	('addons', 'languages', 512, 'BE', ''),
	('addons', 'languages_install', 2048, 'BE', ''),
	('addons', 'languages_uninstall', 4096, 'BE', ''),
	('settings', 'settings', 1, 'BE', ''),
	('settings', 'settings_basic', 2, 'BE', ''),
	('settings', 'settings_advanced', 4, 'BE', ''),
	('access', 'access', 1, 'BE', ''),
	('access', 'users', 2, 'BE', 'Allows to see users section'),
	('access', 'users_add', 8, 'BE', 'Allows to add a new user'),
	('access', 'users_modify', 16, 'BE', 'Allows to modify an existing user'),
	('access', 'users_delete', 32, 'BE', ''),
	('access', 'groups', 64, 'BE', ''),
	('access', 'groups_add', 256, 'BE', ''),
	('access', 'groups_modify', 1024, 'BE', ''),
	('access', 'groups_delete', 2048, 'BE', ''),
	('admintools', 'admintools', 1, 'BE', ''),
	('start', 'start', 0, 'BE', 'Allows to see the backend (dashboard )'),
	('addons', 'admintools', 8192, 'BE', 'Advanced');
/*!40000 ALTER TABLE `cat_system_permissions` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `cat_users` (
  `user_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `group_id` int(11) NOT NULL DEFAULT '0',
  `groups_id` varchar(255) NOT NULL DEFAULT '0',
  `active` int(11) NOT NULL DEFAULT '0',
  `statusflags` int(11) NOT NULL DEFAULT '6',
  `username` varchar(255) NOT NULL DEFAULT '',
  `password` varchar(255) NOT NULL DEFAULT '',
  `last_reset` int(11) NOT NULL DEFAULT '0',
  `display_name` varchar(255) NOT NULL DEFAULT '',
  `email` text NOT NULL,
  `language` varchar(5) NOT NULL DEFAULT 'DE',
  `home_folder` varchar(255) NOT NULL DEFAULT '',
  `login_when` int(11) NOT NULL DEFAULT '0',
  `login_ip` varchar(15) NOT NULL DEFAULT '',
  PRIMARY KEY (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*!40000 ALTER TABLE `cat_users` DISABLE KEYS */;
INSERT IGNORE INTO `cat_users` (`user_id`, `group_id`, `groups_id`, `active`, `statusflags`, `username`, `password`, `last_reset`, `display_name`, `email`, `language`, `home_folder`, `login_when`, `login_ip`) VALUES
	(1, 1, '1', 1, 6, 'admin', '21232f297a57a5a743894a0e4a801fc3', 0, 'Administrator', 'nobody@nowhere.com', 'DE', '', 0, '');
/*!40000 ALTER TABLE `cat_users` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `cat_users_options` (
  `user_id` int(10) NOT NULL,
  `option_name` varchar(50) NOT NULL,
  `option_value` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='additional expandable settings for users';

/*!40000 ALTER TABLE `cat_users_options` DISABLE KEYS */;
/*!40000 ALTER TABLE `cat_users_options` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `cat_user_has_group` (
  `user_id` int(11) unsigned NOT NULL,
  `group_id` int(11) unsigned NOT NULL,
  KEY `FK_cat_user_has_group_cat_users` (`user_id`),
  KEY `FK_cat_user_has_group_cat_groups` (`group_id`),
  CONSTRAINT `cat_FK_cat_user_has_group_cat_groups` FOREIGN KEY (`group_id`) REFERENCES `cat_groups` (`group_id`),
  CONSTRAINT `cat_FK_cat_user_has_group_cat_users` FOREIGN KEY (`user_id`) REFERENCES `cat_users` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps users to groups';

/*!40000 ALTER TABLE `cat_user_has_group` DISABLE KEYS */;
/*!40000 ALTER TABLE `cat_user_has_group` ENABLE KEYS */;

/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IF(@OLD_FOREIGN_KEY_CHECKS IS NULL, 1, @OLD_FOREIGN_KEY_CHECKS) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
